Subject: Re: [PATCH] tcp: Socket option to set congestion window

From: Andi Kleen <[email-masked]>
Date: Wed, 26 May 2010 19:33:46 +0200

Tom Herbert <[email-masked]> writes:
>>
> Thanks to NAT, the concept of a network path or even host specific
> path is a weakened concept.  On the Internet this may be a path
> characteristic per client, which unfortunately has no visibility in
> the kernel other than per connection state.  When a single IP address
> may have thousands of hosts behind it, caching TCP parameters for that
> IP address is implicitly doing a huge aggregation-- probably dicey...

Yes all of Saudi-Arabia used to be (is?) one IP address...

Caching anything per IP is bogus.

-Andi

-- 
[email-masked] -- Speaking for myself only.